Xeonr Developer Docs
API SpecificationPRIVATEAuthentication

Handle Login

POST
/xeonr.auth.private.v1.AuthService/HandleLogin

Processes the OAuth callback from an identity provider. Returns a login token (existing user), a signup token (new user), or an mfa challenge token (existing user with org-account 2FA).

Authentication: None required

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

idpSlug?string

Identity provider slug.

Length1 <= length <= 64
code?string

Authorization code.

Length1 <= length <= 64
state?string

State parameter for security.

Formatuuid
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.AuthService/HandleLogin" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "login": {
    "token": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...",
    "expiresAt": "2023-01-15T01:30:15.01Z",
    "sessionToken": "string"
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}